import { LitElement, PropertyValues } from 'lit';
import { Calendar, DateSelectArg, EventClickArg, EventInput } from '@fullcalendar/core';
export declare abstract class CalendarElement extends LitElement {
    events: Array<EventInput>;
    _calendar: Calendar;
    _calendarEl: HTMLElement;
    firstUpdated(): void;
    abstract setupCalendar(calendarEl: HTMLElement): Calendar;
    unselect(): void;
    onSelect(info: DateSelectArg): void;
    onEventClick(info: EventClickArg): void;
    updated(changedValues: PropertyValues): void;
    getEventBeingCreated(): HTMLElement | undefined;
    render(): import("lit-html").TemplateResult<1>;
    static get styles(): any[];
}
